# Uses of Interface
org.bukkit.entity.ArmorStand

Packages that use ArmorStand
Package
Description
org.bukkit.event.player
`Events` relating to `players`.

## Uses of ArmorStand in org.bukkit.event.player

Methods in org.bukkit.event.player that return ArmorStand
Modifier and Type
Method
Description
`@NotNull ArmorStand`
PlayerArmorStandManipulateEvent.`getRightClicked()`
Constructors in org.bukkit.event.player with parameters of type ArmorStand
Modifier
Constructor
Description
``
`PlayerArmorStandManipulateEvent(@NotNull Player who, @NotNull ArmorStand clickedEntity, @NotNull ItemStack playerItem, @NotNull ItemStack armorStandItem, @NotNull EquipmentSlot slot)`
Deprecated.
``
`PlayerArmorStandManipulateEvent(@NotNull Player who, @NotNull ArmorStand clickedEntity, @NotNull ItemStack playerItem, @NotNull ItemStack armorStandItem, @NotNull EquipmentSlot slot, @NotNull EquipmentSlot hand)`